package com.caimei.controller.products;

import com.caimei.entity.*;
import com.caimei.service.products.HomePageService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;
import java.util.Map;

/**
 * 商城首页信息
 */
@Controller
@RequestMapping("/home")
public class HomePageController {
    @Autowired
    private HomePageService homePageService;


    /**
     * 首页所有数据
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/information")
    public WxJsonModel information(Integer organizeID, Integer userID) {
        Map<String, Object> map = homePageService.information(organizeID, userID);
        return WxJsonModel.newInstance().success(map);
    }

    /**
     * 商品分类列表
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/classify")
    public WxJsonModel classify(CmOrganizeProducts organizeProducts, Integer index, Integer pageSize) {
        if (index == null) index = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(index, pageSize);
        List<CmOrganizeProducts> list = homePageService.classify(organizeProducts);
        Page<CmOrganizeProducts> page = new Page<>(list);
        return WxJsonModel.newInstance().success(page);
    }

    /**
     * 优选商品,惊喜特惠,常用商品
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/preferred")
    public WxJsonModel preferred(CmOrganizeProducts organizeProducts, Integer index, Integer pageSize) {
        if (index == null) index = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(index, pageSize);
        List<CmOrganizeProducts> list = homePageService.preferred(organizeProducts);
        Page<CmOrganizeProducts> page = new Page<>(list);
        return WxJsonModel.newInstance().success(page);
    }

    /**
     * 医美机构正品联盟
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/member")
    public WxJsonModel member(Integer index, Integer pageSize) {
        if (index == null) index = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(index, pageSize);
        List<hospital> member = homePageService.member();
        Page<hospital> page = new Page<>(member);
        return WxJsonModel.newInstance().success(page);
    }

    /**
     * 售后无忧,购物须知
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/afterSale")
    public WxJsonModel afterSale(Integer organizeID) {
        CmMallOrganize organize = homePageService.afterSale(organizeID);
        return WxJsonModel.newInstance().success(organize);
    }
}
