package com.caimei.entity;

import java.io.Serializable;
import java.util.Date;

public class Product implements Serializable {
    private Integer productID; //
    private Integer brandID; //品牌Id（使用cm_brand品牌表brand供应商品牌已废弃）
    private String brandName; //品牌名称
    private Integer tinyTypeID; //三级分类Id
    private Integer selfTypeID; //
    private Integer shopID; //所属供应商Id
    private String name; //名称
    private String aliasName; //商品别名
    private String productTitle;//等同于name用作于搜索改变商品名字样式时使用
    private String searchKey; //搜索关键词
    private String precisehKey; //精准搜索关键词
    //private Float normalPrice; //市场价
    //private Float price; //
    //private Float highestUserLevelPrice; //最低价
    //private Float lowestUserLevelPrice; //最高价
    private Integer lowestUserLevelID; //最高价会员等级
    private Float price0; //普通用户价格
    private String price0Grade; //等级
    private String price0Text; //普通显示文本
    private String price0TextFlag;//0否 	1 是
    private Float price1; //普通会员价
    private String price1Grade; //等级
    private String price1Text; //会员显示文本
    private String price1TextFlag; //0否 1 是
    private Float price8; //游客价
    private String price8Grade; //等级
    private String price8Text; //游客文本
    private String price8TextFlag; //0否 1 是
    private Float fee; //运费
    private Integer stock; //库存
    private String hasSkuFlag; //是否有sku：1有， 0没有
    private String mainImage; //主图
    private String propertiesInfo; //sku属性
    private String addTime; //添加时间
    private String updateTime; //添加时间
    private Integer sellNumber = 0; //销量
    private Integer weekSellNumber; //
    private String beforeValidFlag; //
    //private String validFlag; //商品状态，见表c_productstatus或枚举ProductStatus，0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已冻结
    private Integer favoriteTimes; //收藏量
    private Float commentScore = 0f; //评论分数
    private Integer commentTimes = 0; //评论次数
    private String selfRecommendFlag = "0"; //
    private String sysRecommendFlag = "0"; //
    private Integer sortIndex; //排序值
    private String productCode; //商品货号(商品编码)
    private Float rate1; //
    private Float rate2; //
    private String unit; //包装规格
    private String synToERPFlag; //是否推送到ERP，1已推送， 空或0未推送
    private String allAreaFlag; //销售区域：1全部区域， 0指定区域
    private String provinceIDs; //指定的销售区域
    //private String serviceNumber; //服务起订量
    //private Integer maxBuyNumber; //最大购买量
    private String virtualFlag; //
    //private Integer minBuyNumber; //最小购买量
    //private Integer packageCount; //最小包装数量
    private String byFlag; //运费：0买家承担， 1卖家承担
    private Integer normalProductFlag; //普通商品标志 1是
    private Integer wholeSaleProductFlag; //
    private Integer promotionProductFlag; //
    private Integer groupBuyProductFlag; //
    private Integer step; //购买梯度数（编辑数量时加减的数量）
    private String speCommisionFlag; //
    private Float speCommision; //
    private String videourl; //
    private String props; //
    private String providers; //
    private Float serviceCommissionRatio; //
    private Float reCommissionRatio; //
    private String pushToERPName; // 推送到ERP的原商品名称 name字段的名称可能做修改已适应平台的搜索
    private Integer prodBeans; // 商品具有的豆值
    private Integer useBeansFlag; // 该商品是否可以使用采美豆购买
    private Integer privateFlag; // 0开放市场 1私有市场
    private String invisibleServiceProviderIDs; //
    //private Float actPrice0; //普通用户活动价格
    //private Float actPrice1; //普通会员活动价
    private Date beginTime; //活动开始时间
    private Date endTime; //活动结束时间
    private String endTimeStr;	//活动结束时间字符串
    private Integer actFlag; //是否活动商品：1是，空或0不是
    private Integer actType;	// 活动类型 1推荐热销、2推荐上新、3团购促销  由于原来设计以及固定死了
    //private Date onlineTime; // 上架时间
    //private Date downlineTime; // 下架时间
    private Integer shopIndexModuleID; // 商品所属供应商主页模块ID
    private Integer displayOnCRMFlag;
    private String moduleName; // 商品所属供应商主页模块名称
    private String priceInfo;//价格信息（价格、文案，价格等级）
    private String priceType;//价格类型（0价格、1文案，2价格等级）
    private String category;	// 分类
    private String freePostFlag = "0";//是否包邮 0包邮 1不包邮
    //private Float costPrice;//固定成本价
    //private Float costProportional;//比例成本价
    //private String costCheckFlag; //成本价计算选中标志
    private String company;
    private String actionStr;
    private String skill;
    private String part;
    private String featuredFlag;//供应商主推商品标志 0否 1是
    private Integer featuredSortIndex;//供应商主推商品排序
    private String priceStr; // 价格展示信息
    private Integer bigTypeId; // 一级分类Id
    private String cmbeanFlag;//是否采美豆专区商品(0 否,1 是
    private Integer cmbeanPrice;//采美豆专区价格(采美豆)
    private Integer cmbeanSort;//采美豆专区排序(值越大越前)
    private String shopName;//商品供应商名称
    private boolean isVisitor;//是否是游客（未注册以及从未下过单的普通用户）
    private String ladderPriceFlag; //启用阶梯价格标识 0否 1是
    private Integer minLadderBuyNumber; //最小阶梯价格购买量
    private String giftFlag;//是否可以参加赠送(0:无法参加，1:可以参加赠送，2:已参加过赠送)
    private Integer shopStatus;//供应商状态
    private String visibility; //3:高可见度，2：中可见度,1：低可见度
    private String surplusTime;//活动剩余时间
    private String actSort;//活动排序
    private String[] tagsList;//标签列表
    private String recommendType;	//相关推荐类型 0自动选择; 1手动推荐
    private String tags;// 商品标签用逗号隔开
    private Boolean showfooter;//是否可以购买

    public Integer getProductID() {
        return productID;
    }

    public void setProductID(Integer productID) {
        this.productID = productID;
    }

    public Integer getBrandID() {
        return brandID;
    }

    public void setBrandID(Integer brandID) {
        this.brandID = brandID;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public Integer getTinyTypeID() {
        return tinyTypeID;
    }

    public void setTinyTypeID(Integer tinyTypeID) {
        this.tinyTypeID = tinyTypeID;
    }

    public Integer getSelfTypeID() {
        return selfTypeID;
    }

    public void setSelfTypeID(Integer selfTypeID) {
        this.selfTypeID = selfTypeID;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAliasName() {
        return aliasName;
    }

    public void setAliasName(String aliasName) {
        this.aliasName = aliasName;
    }

    public String getProductTitle() {
        return productTitle;
    }

    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getPrecisehKey() {
        return precisehKey;
    }

    public void setPrecisehKey(String precisehKey) {
        this.precisehKey = precisehKey;
    }

    public Integer getLowestUserLevelID() {
        return lowestUserLevelID;
    }

    public void setLowestUserLevelID(Integer lowestUserLevelID) {
        this.lowestUserLevelID = lowestUserLevelID;
    }

    public Float getPrice0() {
        return price0;
    }

    public void setPrice0(Float price0) {
        this.price0 = price0;
    }

    public String getPrice0Grade() {
        return price0Grade;
    }

    public void setPrice0Grade(String price0Grade) {
        this.price0Grade = price0Grade;
    }

    public String getPrice0Text() {
        return price0Text;
    }

    public void setPrice0Text(String price0Text) {
        this.price0Text = price0Text;
    }

    public String getPrice0TextFlag() {
        return price0TextFlag;
    }

    public void setPrice0TextFlag(String price0TextFlag) {
        this.price0TextFlag = price0TextFlag;
    }

    public Float getPrice1() {
        return price1;
    }

    public void setPrice1(Float price1) {
        this.price1 = price1;
    }

    public String getPrice1Grade() {
        return price1Grade;
    }

    public void setPrice1Grade(String price1Grade) {
        this.price1Grade = price1Grade;
    }

    public String getPrice1Text() {
        return price1Text;
    }

    public void setPrice1Text(String price1Text) {
        this.price1Text = price1Text;
    }

    public String getPrice1TextFlag() {
        return price1TextFlag;
    }

    public void setPrice1TextFlag(String price1TextFlag) {
        this.price1TextFlag = price1TextFlag;
    }

    public Float getPrice8() {
        return price8;
    }

    public void setPrice8(Float price8) {
        this.price8 = price8;
    }

    public String getPrice8Grade() {
        return price8Grade;
    }

    public void setPrice8Grade(String price8Grade) {
        this.price8Grade = price8Grade;
    }

    public String getPrice8Text() {
        return price8Text;
    }

    public void setPrice8Text(String price8Text) {
        this.price8Text = price8Text;
    }

    public String getPrice8TextFlag() {
        return price8TextFlag;
    }

    public void setPrice8TextFlag(String price8TextFlag) {
        this.price8TextFlag = price8TextFlag;
    }

    public Float getFee() {
        return fee;
    }

    public void setFee(Float fee) {
        this.fee = fee;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public String getHasSkuFlag() {
        return hasSkuFlag;
    }

    public void setHasSkuFlag(String hasSkuFlag) {
        this.hasSkuFlag = hasSkuFlag;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public String getPropertiesInfo() {
        return propertiesInfo;
    }

    public void setPropertiesInfo(String propertiesInfo) {
        this.propertiesInfo = propertiesInfo;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSellNumber() {
        return sellNumber;
    }

    public void setSellNumber(Integer sellNumber) {
        this.sellNumber = sellNumber;
    }

    public Integer getWeekSellNumber() {
        return weekSellNumber;
    }

    public void setWeekSellNumber(Integer weekSellNumber) {
        this.weekSellNumber = weekSellNumber;
    }

    public String getBeforeValidFlag() {
        return beforeValidFlag;
    }

    public void setBeforeValidFlag(String beforeValidFlag) {
        this.beforeValidFlag = beforeValidFlag;
    }

    public Integer getFavoriteTimes() {
        return favoriteTimes;
    }

    public void setFavoriteTimes(Integer favoriteTimes) {
        this.favoriteTimes = favoriteTimes;
    }

    public Float getCommentScore() {
        return commentScore;
    }

    public void setCommentScore(Float commentScore) {
        this.commentScore = commentScore;
    }

    public Integer getCommentTimes() {
        return commentTimes;
    }

    public void setCommentTimes(Integer commentTimes) {
        this.commentTimes = commentTimes;
    }

    public String getSelfRecommendFlag() {
        return selfRecommendFlag;
    }

    public void setSelfRecommendFlag(String selfRecommendFlag) {
        this.selfRecommendFlag = selfRecommendFlag;
    }

    public String getSysRecommendFlag() {
        return sysRecommendFlag;
    }

    public void setSysRecommendFlag(String sysRecommendFlag) {
        this.sysRecommendFlag = sysRecommendFlag;
    }

    public Integer getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(Integer sortIndex) {
        this.sortIndex = sortIndex;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Float getRate1() {
        return rate1;
    }

    public void setRate1(Float rate1) {
        this.rate1 = rate1;
    }

    public Float getRate2() {
        return rate2;
    }

    public void setRate2(Float rate2) {
        this.rate2 = rate2;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getSynToERPFlag() {
        return synToERPFlag;
    }

    public void setSynToERPFlag(String synToERPFlag) {
        this.synToERPFlag = synToERPFlag;
    }

    public String getAllAreaFlag() {
        return allAreaFlag;
    }

    public void setAllAreaFlag(String allAreaFlag) {
        this.allAreaFlag = allAreaFlag;
    }

    public String getProvinceIDs() {
        return provinceIDs;
    }

    public void setProvinceIDs(String provinceIDs) {
        this.provinceIDs = provinceIDs;
    }

    public String getVirtualFlag() {
        return virtualFlag;
    }

    public void setVirtualFlag(String virtualFlag) {
        this.virtualFlag = virtualFlag;
    }

    public String getByFlag() {
        return byFlag;
    }

    public void setByFlag(String byFlag) {
        this.byFlag = byFlag;
    }

    public Integer getNormalProductFlag() {
        return normalProductFlag;
    }

    public void setNormalProductFlag(Integer normalProductFlag) {
        this.normalProductFlag = normalProductFlag;
    }

    public Integer getWholeSaleProductFlag() {
        return wholeSaleProductFlag;
    }

    public void setWholeSaleProductFlag(Integer wholeSaleProductFlag) {
        this.wholeSaleProductFlag = wholeSaleProductFlag;
    }

    public Integer getPromotionProductFlag() {
        return promotionProductFlag;
    }

    public void setPromotionProductFlag(Integer promotionProductFlag) {
        this.promotionProductFlag = promotionProductFlag;
    }

    public Integer getGroupBuyProductFlag() {
        return groupBuyProductFlag;
    }

    public void setGroupBuyProductFlag(Integer groupBuyProductFlag) {
        this.groupBuyProductFlag = groupBuyProductFlag;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public String getSpeCommisionFlag() {
        return speCommisionFlag;
    }

    public void setSpeCommisionFlag(String speCommisionFlag) {
        this.speCommisionFlag = speCommisionFlag;
    }

    public Float getSpeCommision() {
        return speCommision;
    }

    public void setSpeCommision(Float speCommision) {
        this.speCommision = speCommision;
    }

    public String getVideourl() {
        return videourl;
    }

    public void setVideourl(String videourl) {
        this.videourl = videourl;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public String getProviders() {
        return providers;
    }

    public void setProviders(String providers) {
        this.providers = providers;
    }

    public Float getServiceCommissionRatio() {
        return serviceCommissionRatio;
    }

    public void setServiceCommissionRatio(Float serviceCommissionRatio) {
        this.serviceCommissionRatio = serviceCommissionRatio;
    }

    public Float getReCommissionRatio() {
        return reCommissionRatio;
    }

    public void setReCommissionRatio(Float reCommissionRatio) {
        this.reCommissionRatio = reCommissionRatio;
    }

    public String getPushToERPName() {
        return pushToERPName;
    }

    public void setPushToERPName(String pushToERPName) {
        this.pushToERPName = pushToERPName;
    }

    public Integer getProdBeans() {
        return prodBeans;
    }

    public void setProdBeans(Integer prodBeans) {
        this.prodBeans = prodBeans;
    }

    public Integer getUseBeansFlag() {
        return useBeansFlag;
    }

    public void setUseBeansFlag(Integer useBeansFlag) {
        this.useBeansFlag = useBeansFlag;
    }

    public Integer getPrivateFlag() {
        return privateFlag;
    }

    public void setPrivateFlag(Integer privateFlag) {
        this.privateFlag = privateFlag;
    }

    public String getInvisibleServiceProviderIDs() {
        return invisibleServiceProviderIDs;
    }

    public void setInvisibleServiceProviderIDs(String invisibleServiceProviderIDs) {
        this.invisibleServiceProviderIDs = invisibleServiceProviderIDs;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    public Integer getActFlag() {
        return actFlag;
    }

    public void setActFlag(Integer actFlag) {
        this.actFlag = actFlag;
    }

    public Integer getActType() {
        return actType;
    }

    public void setActType(Integer actType) {
        this.actType = actType;
    }

    public Integer getShopIndexModuleID() {
        return shopIndexModuleID;
    }

    public void setShopIndexModuleID(Integer shopIndexModuleID) {
        this.shopIndexModuleID = shopIndexModuleID;
    }

    public Integer getDisplayOnCRMFlag() {
        return displayOnCRMFlag;
    }

    public void setDisplayOnCRMFlag(Integer displayOnCRMFlag) {
        this.displayOnCRMFlag = displayOnCRMFlag;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getPriceInfo() {
        return priceInfo;
    }

    public void setPriceInfo(String priceInfo) {
        this.priceInfo = priceInfo;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getFreePostFlag() {
        return freePostFlag;
    }

    public void setFreePostFlag(String freePostFlag) {
        this.freePostFlag = freePostFlag;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getActionStr() {
        return actionStr;
    }

    public void setActionStr(String actionStr) {
        this.actionStr = actionStr;
    }

    public String getSkill() {
        return skill;
    }

    public void setSkill(String skill) {
        this.skill = skill;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getFeaturedFlag() {
        return featuredFlag;
    }

    public void setFeaturedFlag(String featuredFlag) {
        this.featuredFlag = featuredFlag;
    }

    public Integer getFeaturedSortIndex() {
        return featuredSortIndex;
    }

    public void setFeaturedSortIndex(Integer featuredSortIndex) {
        this.featuredSortIndex = featuredSortIndex;
    }

    public String getPriceStr() {
        return priceStr;
    }

    public void setPriceStr(String priceStr) {
        this.priceStr = priceStr;
    }

    public Integer getBigTypeId() {
        return bigTypeId;
    }

    public void setBigTypeId(Integer bigTypeId) {
        this.bigTypeId = bigTypeId;
    }

    public String getCmbeanFlag() {
        return cmbeanFlag;
    }

    public void setCmbeanFlag(String cmbeanFlag) {
        this.cmbeanFlag = cmbeanFlag;
    }

    public Integer getCmbeanPrice() {
        return cmbeanPrice;
    }

    public void setCmbeanPrice(Integer cmbeanPrice) {
        this.cmbeanPrice = cmbeanPrice;
    }

    public Integer getCmbeanSort() {
        return cmbeanSort;
    }

    public void setCmbeanSort(Integer cmbeanSort) {
        this.cmbeanSort = cmbeanSort;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public boolean isVisitor() {
        return isVisitor;
    }

    public void setVisitor(boolean visitor) {
        isVisitor = visitor;
    }

    public String getLadderPriceFlag() {
        return ladderPriceFlag;
    }

    public void setLadderPriceFlag(String ladderPriceFlag) {
        this.ladderPriceFlag = ladderPriceFlag;
    }

    public Integer getMinLadderBuyNumber() {
        return minLadderBuyNumber;
    }

    public void setMinLadderBuyNumber(Integer minLadderBuyNumber) {
        this.minLadderBuyNumber = minLadderBuyNumber;
    }

    public String getGiftFlag() {
        return giftFlag;
    }

    public void setGiftFlag(String giftFlag) {
        this.giftFlag = giftFlag;
    }

    public Integer getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(Integer shopStatus) {
        this.shopStatus = shopStatus;
    }

    public String getVisibility() {
        return visibility;
    }

    public void setVisibility(String visibility) {
        this.visibility = visibility;
    }

    public String getSurplusTime() {
        return surplusTime;
    }

    public void setSurplusTime(String surplusTime) {
        this.surplusTime = surplusTime;
    }

    public String getActSort() {
        return actSort;
    }

    public void setActSort(String actSort) {
        this.actSort = actSort;
    }

    public String[] getTagsList() {
        return tagsList;
    }

    public void setTagsList(String[] tagsList) {
        this.tagsList = tagsList;
    }

    public String getRecommendType() {
        return recommendType;
    }

    public void setRecommendType(String recommendType) {
        this.recommendType = recommendType;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public Boolean getShowfooter() {
        return showfooter;
    }

    public void setShowfooter(Boolean showfooter) {
        this.showfooter = showfooter;
    }
}
