package com.caimei.mapper.order;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface OrderMapper {
    OrderShareCode queryCode(Integer orderID);

    FreePostageCard queryFree(Integer userId);

    void updateCode(OrderShareCode orderShareCode);

    void insertCode(OrderShareCode code);

    List<Shop> findShop(List<String> productIDs);

    List<CmOrganizeProducts> findAllCommodity(Map<String, Object> params);

    CmOrganizeProducts findCommodity(@Param("productIDs") String productIDs, @Param("shopID") Integer shopID);

    BpOrderUserInfo findUserInfo(Integer orderID);

    CmOrder findOrder(Integer orderID);

    List<CmShopOrder> findAllShopOrder(String[] shopOrderIDs);

    List<CmOrderProduct> findOrderProduct(Integer shopOrderID);

    List<CmDiscernReceipt> findDiscernReceipt(Integer orderID);

    List<CmReturnedPurchase> findReturnedPurchase(Integer orderID);

    List<LogisticsInfo> findLogisticsInfo(Integer orderID);

    List<CmLogisticsRecord> findLogisticsRecord(Integer shopOrderID);
}
