package com.caimei.utils;

import com.caimei.entity.CmOperationUser;
import com.caimei.service.user.LoginService;
import com.opensymphony.xwork2.ActionContext;
import org.apache.struts2.ServletActionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class SessionHelper {

	@Autowired
	private static LoginService loginService;

	/**
	 * 得到session里面的信息
	 * 
	 * @return
	 */
	public static HttpSession getSession() {
		HttpServletRequest request;
		if(ActionContext.getContext() == null) {
			request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
		} else {
			request = ServletActionContext.getRequest();
		}
		return request.getSession();
	}


	/**
	 * 这个是用来设置cookie里面的信息
	 *
	 * @param name
	 * @param value
	 */
	public static void setAttribute(String name, String value) {
		getSession().setAttribute(name, value);
	}

	/**
	 * 这个是用来读 cookie里面的信息
	 * 
	 * @param name
	 * @return
	 */
	public static Object getAttribute(String name) {
		return  getSession().getAttribute(name);
	}

	public static void removeSession(String name) {
		getSession().removeAttribute(name);
	}

	/**
	 * 获取当前session登入用户
	 * @param request
	 * @return
	 */
	public static CmOperationUser getCurrentUser( HttpServletRequest request){
		HttpSession session = request.getSession();
		String openid = (String) session.getAttribute("openid");
		Integer organizeID = (Integer) session.getAttribute("organizeID");
		CmOperationUser operationUser = loginService.doLogin(openid, organizeID);
		return operationUser;
	}

}
